> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamnative.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a list of consumers that belong to the specified consumer group.

> Lists all active consumers that are members of the specified consumer group. Includes consumer metadata such as client ID, host, and partition assignments.



## OpenAPI

````yaml get /admin/v1/consumer-groups/{consumer_group_id}/consumers
openapi: 3.0.0
info:
  title: StreamNative Kafka REST API
  description: >-
    REST API for managing Kafka resources and producing/consuming messages in
    StreamNative Cloud
  version: v1
servers: []
security: []
paths:
  /admin/v1/consumer-groups/{consumer_group_id}/consumers:
    get:
      tags:
        - ksn-consumer-group
      summary: Return a list of consumers that belong to the specified consumer group.
      description: >-
        Lists all active consumers that are members of the specified consumer
        group. Includes consumer metadata such as client ID, host, and partition
        assignments.
      operationId: listConsumersBySpecifiedConsumerGroup
      parameters:
        - name: consumer_group_id
          in: path
          description: The consumer group ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KafkaConsumerList'
        '400':
          description: Wrong request params
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
components:
  schemas:
    KafkaConsumerList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/KafkaConsumer'
        metadata:
          $ref: '#/components/schemas/Metadata'
        kind:
          type: string
    KafkaConsumer:
      type: object
      properties:
        consumer_group_id:
          type: string
        consumer_id:
          type: string
        client_id:
          type: string
        host:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        kind:
          type: string
    Metadata:
      type: object

````